Categories:
  - Connectivity
License: MIT
SourceCode: https://github.com/ostrya/PresencePublisher
IssueTracker: https://github.com/ostrya/PresencePublisher/issues
Changelog: https://github.com/ostrya/PresencePublisher/releases

AutoName: Presence Publisher

RepoType: git
Repo: https://github.com/ostrya/PresencePublisher.git

Builds:
  - versionName: '1.1'
    versionCode: 2
    commit: v1.1.1
    subdir: app
    gradle:
      - yes

  - versionName: '1.3'
    versionCode: 4
    commit: v1.3
    subdir: app
    gradle:
      - yes

  - versionName: 1.3.1
    versionCode: 5
    commit: v1.3.1
    subdir: app
    gradle:
      - yes

  - versionName: 1.3.2
    versionCode: 6
    commit: v1.3.2
    subdir: app
    gradle:
      - yes

  - versionName: 1.3.3
    versionCode: 7
    commit: v1.3.3
    subdir: app
    gradle:
      - yes

  - versionName: '1.4'
    versionCode: 8
    commit: v1.4
    subdir: app
    gradle:
      - yes

  - versionName: 1.4.1
    versionCode: 9
    commit: v1.4.1
    subdir: app
    gradle:
      - yes

  - versionName: 1.5.1
    versionCode: 10
    commit: v1.5.1
    subdir: app
    gradle:
      - yes

  - versionName: 1.5.2
    versionCode: 11
    commit: v1.5.2
    subdir: app
    gradle:
      - yes

  - versionName: 1.5.3
    versionCode: 12
    commit: v1.5.3
    subdir: app
    gradle:
      - yes

  - versionName: 1.6.4
    versionCode: 20
    commit: v1.6.4
    subdir: app
    gradle:
      - yes

  - versionName: 1.6.5
    versionCode: 21
    commit: v1.6.5
    subdir: app
    gradle:
      - yes

  - versionName: 1.6.6
    versionCode: 22
    commit: v1.6.6
    subdir: app
    gradle:
      - yes

  - versionName: 2.0.0
    versionCode: 26
    commit: v2.0.0
    subdir: app
    gradle:
      - yes

  - versionName: 2.1.0
    versionCode: 27
    commit: v2.1.0
    subdir: app
    gradle:
      - yes

  - versionName: 2.1.1
    versionCode: 28
    commit: v2.1.1
    subdir: app
    gradle:
      - yes

  - versionName: 2.2.1
    versionCode: 31
    disable: fails to build
    commit: v2.2.1
    subdir: app
    gradle:
      - yes

  - versionName: 2.2.3
    versionCode: 33
    commit: v2.2.3
    subdir: app
    gradle:
      - yes
    prebuild: sed -i -e '/signingConfig/d' build.gradle.kts

  - versionName: 2.2.5
    versionCode: 35
    commit: v2.2.5
    subdir: app
    gradle:
      - yes
    prebuild: sed -i -e '/signingConfig/d' build.gradle.kts

  - versionName: 2.2.6
    versionCode: 36
    commit: v2.2.6
    subdir: app
    gradle:
      - yes
    prebuild: sed -i -e '/signingConfig/d' build.gradle.kts

  - versionName: 2.2.7
    versionCode: 37
    commit: v2.2.7
    subdir: app
    gradle:
      - yes
    prebuild: sed -i -e '/signingConfig/d' build.gradle.kts

  - versionName: 2.2.8
    versionCode: 38
    commit: v2.2.8
    subdir: app
    gradle:
      - yes
    prebuild: sed -i -e '/signingConfig/d' build.gradle.kts

  - versionName: 2.2.9
    versionCode: 40
    commit: v2.2.9
    subdir: app
    gradle:
      - yes
    prebuild: sed -i -e '/signingConfig/d' build.gradle.kts

  - versionName: 2.3.1
    versionCode: 42
    commit: 557b80eca7523dafa82b85bbd3bc4a82146562c2
    subdir: app
    sudo:
      - apt-get update
      - apt-get install -y openjdk-11-jdk-headless
      - update-alternatives --auto java
    gradle:
      - yes
    prebuild: sed -i -e '/signingConfig/d' build.gradle.kts

  - versionName: 2.3.2
    versionCode: 43
    commit: 6d058922545e3292174472c11659063bae2c3ab6
    subdir: app
    sudo:
      - apt-get update
      - apt-get install -y openjdk-11-jdk-headless
      - update-alternatives --auto java
    gradle:
      - yes
    prebuild: sed -i -e '/signingConfig/d' build.gradle.kts

  - versionName: 2.4.0-alpha
    versionCode: 44
    commit: cf5630708c779a0180dc505f1a5ca6e4e037a215
    subdir: app
    sudo:
      - apt-get update
      - apt-get install -y openjdk-11-jdk-headless
      - update-alternatives --auto java
    gradle:
      - yes
    prebuild: sed -i -e '/signingConfig/d' build.gradle.kts

  - versionName: 2.4.1
    versionCode: 46
    commit: a9f0bf843aa1cc7967cb894fa444badc8e302f0a
    subdir: app
    sudo:
      - apt-get update
      - apt-get install -y openjdk-11-jdk-headless
      - update-alternatives --auto java
    gradle:
      - yes
    prebuild: sed -i -e '/signingConfig/d' build.gradle.kts

  - versionName: 2.4.2
    versionCode: 47
    commit: 01e4b19396cc6b0a4dcc1a2721f8fb6e444a788f
    subdir: app
    sudo:
      - apt-get update
      - apt-get install -y openjdk-11-jdk-headless
      - update-alternatives --auto java
    gradle:
      - yes
    prebuild: sed -i -e '/signingConfig/d' build.gradle.kts

AutoUpdateMode: Version v%v
UpdateCheckMode: Tags
CurrentVersion: 2.4.2
CurrentVersionCode: 47
